Bug 111726 - [WHL] [drm:intel_cpu_fifo_underrun_irq_handler] *ERROR* CPU pipe B FIFO underrun
Summary: [WHL] [drm:intel_cpu_fifo_underrun_irq_handler] *ERROR* CPU pipe B FIFO underrun
Status: NEW
Alias: None
Product: DRI
Classification: Unclassified
Component: DRM/Intel (show other bugs)
Version: XOrg git
Hardware: x86-64 (AMD64) other
: medium normal
Assignee: Intel GFX Bugs mailing list
QA Contact: Intel GFX Bugs mailing list
URL:
Whiteboard: Triaged, ReadyForDev
Keywords:
Depends on:
Blocks:
 
Reported: 2019-09-17 23:32 UTC by Sushma
Modified: 2019-10-04 17:46 UTC (History)
1 user (show)

See Also:
i915 platform: CFL
i915 features: display/watermark


Attachments
dmesg for FIFO underruns in PIPE B (3.68 MB, text/plain)
2019-09-17 23:32 UTC, Sushma
no flags Details
dmesg for FIFO underruns in PIPE B (2.21 MB, text/plain)
2019-09-18 22:11 UTC, Sushma
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Sushma 2019-09-17 23:32:53 UTC
Created attachment 145408 [details]
dmesg for FIFO underruns in PIPE B

The issue is reproducible on Chrome OS WHL device when we connect a 4K external monitor to DUT. I was able to reproduce quite often using LG model 27UD88-W.

Attaching the log where I could reproduce the issue even on drm-tip.
Comment 1 Lakshmi 2019-09-18 08:18:00 UTC
(In reply to Sushma from comment #0)
> Created attachment 145408 [details]
> dmesg for FIFO underruns in PIPE B
> 
> The issue is reproducible on Chrome OS WHL device when we connect a 4K
> external monitor to DUT. I was able to reproduce quite often using LG model
> 27UD88-W.
> 
> Attaching the log where I could reproduce the issue even on drm-tip.

Sushma, What is the impact of this issue other than the errors in the log?
What is the reproduction rate?

Can you please attach the dmesg from drmtip, that will be helpful to investigate.

Update for myself: On our CI system last seen FIFO underrun on WHL is drmtip_334 (1 month, 3 weeks old).
Comment 2 Sushma 2019-09-18 16:13:49 UTC
Lakshmi, the dmesg log that I have attached is from drmtip. WHL is on 4.19 kernel. I am seeing sporadic flickers when the fifo underruns occur. It is very frequent when I use USB-C to USB-C cable to connect external monitor - once in three tries. Especially, while using the LG monitor on which I am reporting the issue.
Comment 3 Jani Saarinen 2019-09-18 18:16:03 UTC
Lakshmi was asking using latest drm-tip that is today on Linux version 5.3.0. He was asking to try with that I think.
Comment 4 Sushma 2019-09-18 22:11:51 UTC
Created attachment 145429 [details]
dmesg for FIFO underruns in PIPE B

Even though I was seeing flickers during mode setup, it was comparatively difficult to reproduce the fifo underrun with latest drmtip. I used two 4K monitors here, LG monitor was connected via USB-C cable and Dell monitor was connected via HDMI cable.
Comment 5 Lakshmi 2019-09-19 13:34:41 UTC
(In reply to Sushma from comment #4)
> Created attachment 145429 [details]
> dmesg for FIFO underruns in PIPE B
> 
> Even though I was seeing flickers during mode setup, it was comparatively
> difficult to reproduce the fifo underrun with latest drmtip. I used two 4K
> monitors here, LG monitor was connected via USB-C cable and Dell monitor was
> connected via HDMI cable.

Thanks for the feedback.
Comment 6 Jason Le 2019-10-02 18:42:26 UTC
The flickers issue was first introduced in driver with OS build version 12370 when the code added to support Render Compression in i915 driver.  The code has been reversed starting OS build 12449 due to multiple issues reported with the original patch.
 
Therefore, this should be no longer an issue since 12449 build.  I have verified both bad (buid 12443) and good (build 12450) OS images.  I verified with 2 external 4K panels Dell and Samsung.  For FIFO watermark related issues, panel models should not make a difference as long the same resolution and refresh rates are consistent.
Comment 7 Lakshmi 2019-10-03 06:12:57 UTC
(In reply to Jason Le from comment #6)
> The flickers issue was first introduced in driver with OS build version
> 12370 when the code added to support Render Compression in i915 driver.  The
> code has been reversed starting OS build 12449 due to multiple issues
> reported with the original patch.
>  
> Therefore, this should be no longer an issue since 12449 build.  I have
> verified both bad (buid 12443) and good (build 12450) OS images.  I verified
> with 2 external 4K panels Dell and Samsung.  For FIFO watermark related
> issues, panel models should not make a difference as long the same
> resolution and refresh rates are consistent.

@Jason, Thanks for the feedback.

@Sushma, based on the above feedback can we close this issue?
Comment 8 Sushma 2019-10-04 17:46:46 UTC
I was able to reproduce the issue on 12480 and the above release images where I did confirm that render frame buffer patches were reverted. I have posted the logs for the same.


Use of freedesktop.org services, including Bugzilla, is subject to our Code of Conduct. How we collect and use information is described in our Privacy Policy.